Index: src/Actions/AnalysisAction/MolecularVolumeAction.cpp
===================================================================
--- src/Actions/AnalysisAction/MolecularVolumeAction.cpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
+++ src/Actions/AnalysisAction/MolecularVolumeAction.cpp	(revision 6bd7e05ae215210d42ef6cb22768847bee2ce5da)
@@ -50,8 +50,8 @@
     molecule *mol = iter->second;
     class Tesselation *TesselStruct = NULL;
-    const LinkedCell *LCList = NULL;
+    const LinkedCell_deprecated *LCList = NULL;
     LOG(0, "Evaluating volume of the convex envelope.");
     PointCloudAdaptor< molecule > cloud(mol, mol->name);
-    LCList = new LinkedCell(cloud, 10.);
+    LCList = new LinkedCell_deprecated(cloud, 10.);
     config * const configuration = World::getInstance().getConfig();
     //Boundaries *BoundaryPoints = NULL;
Index: src/Actions/AnalysisAction/SurfaceCorrelationAction.cpp
===================================================================
--- src/Actions/AnalysisAction/SurfaceCorrelationAction.cpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
+++ src/Actions/AnalysisAction/SurfaceCorrelationAction.cpp	(revision 6bd7e05ae215210d42ef6cb22768847bee2ce5da)
@@ -71,10 +71,10 @@
   // get the boundary
   class Tesselation *TesselStruct = NULL;
-  const LinkedCell *LCList = NULL;
+  const LinkedCell_deprecated *LCList = NULL;
   // find biggest molecule
   std::vector<molecule*> molecules = World::getInstance().getSelectedMolecules();
   std::cout << "There are " << molecules.size() << " selected molecules." << std::endl;
   PointCloudAdaptor<molecule> cloud(surfacemol, surfacemol->name);
-  LCList = new LinkedCell(cloud, LCWidth);
+  LCList = new LinkedCell_deprecated(cloud, LCWidth);
   FindNonConvexBorder(surfacemol, TesselStruct, LCList, radius, NULL);
   CorrelationToSurfaceMap *surfacemap = NULL;
Index: src/Actions/TesselationAction/ConvexEnvelopeAction.cpp
===================================================================
--- src/Actions/TesselationAction/ConvexEnvelopeAction.cpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
+++ src/Actions/TesselationAction/ConvexEnvelopeAction.cpp	(revision 6bd7e05ae215210d42ef6cb22768847bee2ce5da)
@@ -51,10 +51,10 @@
     mol = iter->second;
     class Tesselation *TesselStruct = NULL;
-    const LinkedCell *LCList = NULL;
+    const LinkedCell_deprecated *LCList = NULL;
     LOG(0, "Evaluating volume of the convex envelope.");
     LOG(1, "Storing tecplot convex data in " << params.filenameConvex << ".");
     LOG(1, "Storing tecplot non-convex data in " << params.filenameNonConvex << ".");
     PointCloudAdaptor<molecule> cloud(mol, mol->name);
-    LCList = new LinkedCell(cloud, 100.);
+    LCList = new LinkedCell_deprecated(cloud, 100.);
     //Boundaries *BoundaryPoints = NULL;
     //FindConvexBorder(mol, BoundaryPoints, TesselStruct, LCList, argv[argptr]);
Index: src/Actions/TesselationAction/NonConvexEnvelopeAction.cpp
===================================================================
--- src/Actions/TesselationAction/NonConvexEnvelopeAction.cpp	(revision 02ce363b06a8f5ac471e055cfd494a84e197010f)
+++ src/Actions/TesselationAction/NonConvexEnvelopeAction.cpp	(revision 6bd7e05ae215210d42ef6cb22768847bee2ce5da)
@@ -50,5 +50,5 @@
     Boundary = iter->second;
     class Tesselation *T = NULL;
-    const LinkedCell *LCList = NULL;
+    const LinkedCell_deprecated *LCList = NULL;
     LOG(0, "Evaluating non-convex envelope of molecule." << Boundary->getId());
     LOG(1, "Using rolling ball of radius " << params.SphereRadius << " and storing tecplot data in " << params.filename << ".");
@@ -56,5 +56,5 @@
     start = clock();
     PointCloudAdaptor< molecule > cloud(Boundary, Boundary->name);
-    LCList = new LinkedCell(cloud, params.SphereRadius*2.);
+    LCList = new LinkedCell_deprecated(cloud, params.SphereRadius*2.);
     Success = FindNonConvexBorder(Boundary, T, LCList, params.SphereRadius, params.filename.string().c_str());
     //FindDistributionOfEllipsoids(T, &LCList, N, number, params.filename.c_str());
